com.io7m.jpra.runtime.java

## Class JPRATypeModel.JPRAIntegerUnsignedNormalized

- java.lang.Object
- - com.io7m.jpra.runtime.java.JPRATypeModelType.JPRAIntegerUnsignedNormalizedType
  - - com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsignedNormalized

- All Implemented Interfaces:
    JPRATypeModelType.JPRAScalarType, JPRATypeModelType.JPRATypeType
  Enclosing class:
    JPRATypeModel

      public static final class JPRATypeModel.JPRAIntegerUnsignedNormalized
      extends JPRATypeModelType.JPRAIntegerUnsignedNormalizedType

  Immutable implementation of `JPRATypeModelType.JPRAIntegerUnsignedNormalizedType`.

  Use the static factory method to create immutable instances: `JPRATypeModel.JPRAIntegerUnsignedNormalized.of()`.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPRATypeModel.JPRAIntegerUnsignedNormalized` | `copyOf(JPRATypeModelType.JPRAIntegerUnsignedNormalizedType instance)` Creates an immutable copy of a `JPRATypeModelType.JPRAIntegerUnsignedNormalizedType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JPRAIntegerUnsignedNormalized` that have equal attribute values.
    `int` | `hashCode()` Returns a precomputed-on-construction hash code from attributes: `sizeInBits`.
    `static JPRATypeModel.JPRAIntegerUnsignedNormalized` | `of(int sizeInBits)` Construct a new immutable `JPRAIntegerUnsignedNormalized` instance.
    `int` | `sizeInBits()`
    `String` | `toString()` Prints the immutable value `JPRAIntegerUnsignedNormalized` with attribute values.
    `JPRATypeModel.JPRAIntegerUnsignedNormalized` | `withSizeInBits(int sizeInBits)` Copy the current immutable object by setting a value for the `sizeInBits` attribute.

    - ### Methods inherited from class com.io7m.jpra.runtime.java.JPRATypeModelType.JPRAIntegerUnsignedNormalizedType

      `matchScalar, matchType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### sizeInBits

          public int sizeInBits()

      Returns:
        The value of the `sizeInBits` attribute

    - #### withSizeInBits

          public final JPRATypeModel.JPRAIntegerUnsignedNormalized withSizeInBits(int sizeInBits)

      Copy the current immutable object by setting a value for the `sizeInBits` attribute. A value equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `sizeInBits` - A new value for sizeInBits
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JPRAIntegerUnsignedNormalized` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Returns a precomputed-on-construction hash code from attributes: `sizeInBits`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `JPRAIntegerUnsignedNormalized` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static JPRATypeModel.JPRAIntegerUnsignedNormalized of(int sizeInBits)

      Construct a new immutable `JPRAIntegerUnsignedNormalized` instance.
      Parameters:
        `sizeInBits` - The value for the `sizeInBits` attribute
      Returns:
        An immutable JPRAIntegerUnsignedNormalized instance

    - #### copyOf

          public static JPRATypeModel.JPRAIntegerUnsignedNormalized copyOf(JPRATypeModelType.JPRAIntegerUnsignedNormalizedType instance)

      Creates an immutable copy of a `JPRATypeModelType.JPRAIntegerUnsignedNormalizedType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable JPRAIntegerUnsignedNormalized instance

Copyright © 2016 <code@io7m.com> http://io7m.com